/*===========================================================================

ObjectWeb Browser Framework
Copyright (C) 2003 USTL - LIFL - GOAL
Contact: architecture@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jrme Moroy.
Contributor(s):  ______________________________________.

===========================================================================*/

package DiningPhilosophers.browser;

/** The browser's imports */
import org.objectweb.util.browser.api.ExtendedActionEvent;
import org.objectweb.util.browser.api.ExtendedActionListener;
//import org.objectweb.util.browser.gui.core.ClassResolver;

/** The Java API's imports */
import javax.swing.JOptionPane;

/** Others imports */
import org.omg.Components.CreateFailure;
import DiningPhilosophers.PhilosopherHome;

/**
 *
 * @author <a href="mailto:Jerome.Moroy@lifl.fr">Jerome Moroy</a>
 * @version 0.1
 */
public class PhilosopherCreationAction implements ExtendedActionListener {

    //	public PhilosopherCreationAction(){
    //		System.out.println("=> [this.getClass().getClassLoader()]" + this.getClass().getClassLoader());
    //	}

    public void actionPerformed(ExtendedActionEvent e) {
        String name = "";
        while (name != null && name.equals("")) {
            name = JOptionPane.showInputDialog("Enter the philosopher name :");
        }
        if (name != null) {
            //				System.out.println("==> " + e.getValue().getClass().getName());
            //				ClassLoader c = ClassResolver.getCurrentClassLoader();
            //				System.loadLibrary("toto");
            //				try {
            //					System.out.println("==> Loads DiningPhilosophers.PhilosopherHome");
            //					Class sd = c.loadClass("DiningPhilosophers.PhilosopherHome"); 
            //					System.out.println("==> OK");
            //					System.out.println("==> Loads DiningPhilosopher.PhilosopherHome");
            //					sd = c.loadClass("DiningPhilosopher.PhilosopherHome"); 
            //					System.out.println("==> OK");
            //				} catch (ClassNotFoundException e1) {
            //					// TODO Auto-generated catch block
            //					e1.printStackTrace();
            //				}

            PhilosopherHome philosopherHome = (PhilosopherHome) e.getCurrentValue();
            try {
                philosopherHome._new(name);
            } catch (CreateFailure e1) {
                JOptionPane.showMessageDialog(null, e1.getMessage(), "Create Failure", JOptionPane.ERROR_MESSAGE);
            }
        }
    }

}
