@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Briclet Frederic
rem # Contributor(s): ------------------------------------.
rem #
rem # ====================================================================
rem #
rem #  Stopping the OpenCCM Java Component Installation.
rem #
rem # ====================================================================

setlocal

if "%1"=="-h" goto :help
if "%1"=="?" goto :help
goto :no_help

:help
echo usage: ci_stop
goto :eof

:no_help

set CI_PATH=%OpenCCM_CONFIG_DIR%\Comp_inst

rem # Check if this Java component installation is already started.
if exist %CI_PATH%.PID goto :ci_exist

echo Error: The Java Component Installation is not started!
goto :eof

:ci_exist
echo The Java component installation will be stopped.

rem # Shutdown component installation.
rem call %OpenCCM_HOMEDIR%\bin\shutdown file:%CI_PATH%.IOR
kill F%CI_PATH%.PID > nul

rem wait for window to release the files use by the process killed (1s)
call sleep 2 
rem # Remove the associated files.
del %CI_PATH%.IOR %CI_PATH%.PID %CI_PATH%.output %CI_PATH%.output.tmp


echo The Java component installtion is stopped.
