<?xml version="1.0"?>
<!-- ==================================================================== -->
<!--                                                                      -->
<!-- OpenCCM: The Open CORBA Component Model Platform                     -->
<!-- Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL                   -->
<!-- Contact: openccm-team@objectweb.org                                  -->
<!--                                                                      -->
<!-- This library is free software; you can redistribute it and/or        -->
<!-- modify it under the terms of the GNU Lesser General Public           -->
<!-- License as published by the Free Software Foundation; either         -->
<!-- version 2.1 of the License, or any later version.                    -->
<!--                                                                      -->
<!-- This library is distributed in the hope that it will be useful,      -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of       -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     -->
<!-- Lesser General Public License for more details.                      -->
<!--                                                                      -->
<!-- You should have received a copy of the GNU Lesser General Public     -->
<!-- License along with this library; if not, write to the Free Software  -->
<!-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 -->
<!-- USA                                                                  -->
<!--                                                                      -->
<!-- Initial developer(s): Frederic Briclet.                              -->
<!-- Contributor(s): Christophe Contreras.                                -->
<!--                                                                      -->
<!-- ==================================================================== -->

<!-- Software Package Descriptor file for the Home Finder deployment -->

<!DOCTYPE softpkg SYSTEM "@CCM_DTD_DIR@/softpkg.dtd">
<softpkg name="HomeFinder" version="2,0">
  <title>HomeFinder</title>
  <pkgtype>CORBA Component</pkgtype>
  <author>
    <name>Briclet Frederic</name>
    <company>LIFL</company>
    <webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
  </author>
  <description>The homefinder OpenCCM tool</description>
  <license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
  <idl id="IDL:HFinder/HomeFinder:1.0">
    <link href="HFinder.idl3"/>
  </idl>
  <descriptor type="CORBA Component">
    <fileinarchive name="@FINDER_DESCRIPTOR_DIR@/HomeFinder.ccd"/>
  </descriptor>
  <implementation id="HomeFinderImpl">
    <os name="WinNT" version="4,0,0,0"/>
    <os name="Linux" version="2,2,17,0"/>
    <processor name="x86"/>
    <compiler name="JDK"/>
    <programminglanguage name="Java"/>
    <dependency type="ORB" action="assert">
      <name>OpenORB</name>
    </dependency>
    <code type="Java class">
      <fileinarchive name="@FINDER_JAR_DIR@/HFinder.jar"/>
      <entrypoint>org.objectweb.ccm.Deployment.components.HFinder.monolithic.HFinderHomeImpl.create_home</entrypoint>
    </code>
    <runtime name="Java VM" version="1,2,2,0"/>
    <runtime name="Java VM" version="1,3,0,0"/>
  </implementation>
</softpkg>
