#include "StdAfx.h"
#include "windows.h"

#define TITLE_SIZE		64
#define PROCESS_SIZE	MAX_PATH

int test(int t);

// 
// task list structure 
//
typedef struct _TASK_LIST { 
    DWORD       dwProcessId; 
    DWORD       dwInheritedFromProcessId; 
    BOOL        flags; 
    HANDLE      hwnd; 
    CHAR        ProcessName[PROCESS_SIZE]; 
    CHAR        WindowTitle[TITLE_SIZE]; 
} TASK_LIST, *PTASK_LIST; 

// 
// Function prototypes 
// 
DWORD 
GetTaskList95( 
    PTASK_LIST  pTask, 
    DWORD       dwNumTasks 
    );

DWORD 
GetTaskListNT( 
    PTASK_LIST  pTask, 
    DWORD       dwNumTasks 
    );

// 
// Function pointer types for accessing platform-specific functions 
// 
typedef DWORD (*LPGetTaskList)(PTASK_LIST, DWORD); 